package cn.wzpmc.gui;

import io.github.cottonmc.cotton.gui.client.CottonHud;
import io.github.cottonmc.cotton.gui.widget.WWidget;
import net.fabricmc.fabric.api.client.event.lifecycle.v1.ClientTickEvents;
import net.minecraft.client.MinecraftClient;

import java.util.ArrayList;
import java.util.List;

public class OnWorldTickStart implements ClientTickEvents.StartTick {
    private final List<WWidget> songList = new ArrayList<>();
    private WWidget nowSongDetail;

    @Override
    public void onStartTick(MinecraftClient client) {
        if (nowSongDetail != null) {
            CottonHud.remove(nowSongDetail);
        }
        nowSongDetail = new NowSongDetailWeight();
        CottonHud.add(nowSongDetail, 10, 10);
    }

    public void remove() {
        if (nowSongDetail != null) {
            CottonHud.remove(nowSongDetail);
        }
        nowSongDetail = null;
        songList.clear();
    }
}
